#####################################################################
# Licensed Materials - Property of IBM 
#
# 5724-L62 
#
# (C) Copyright IBM Corp. 2012 All Rights Reserved.  
#
# US Government Users Restricted Rights - Use, duplication or
# disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
#
#####################################################################
'''
    Indicated critical error during execution  caused by environmental settings or incorrect input parameters
    This type of error should be fixable by user and doesn't not indicate internal problem
    Replaces assert statement where error message should be displayed on the console
'''
class ConfigurationException(Exception):
    def __init__(self, value):
        self.parameter = value
          
    def __str__(self):
        return repr(self.parameter)
