######################################################################
# Licensed Materials - Property of IBM
#
# 5724-L62
#
# (C) Copyright IBM Corp. 2012 All Rights Reserved. 
#
# US Government Users Restricted Rights - Use, duplication or
# disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
#
#####################################################################
'''
   This class inherits from the Thread class.  Overrides the run method, so 
   this class enables the caller to instantiate a new thread and pass any arguments
   to the finction to run in the thread.
'''

import threading

class Functhread(threading.Thread):
    def __init__(self, target, *args):
        threading.Thread.__init__(self)
        self._target = target
        self._args = args
        
    def run(self):
        self._target(*self._args)
