@rem Licensed Materials - Property of IBM

@rem (C) Copyright IBM Corp. 2005, 2009  All Rights Reserved.

@rem US Government Users Restricted Rights - Use, duplication or
@rem disclosure restricted by GSA ADP Schedule Contract with IBM Corp.

@rem @(#)

@echo off

set JAVA_HOME=\Program Files\IBM\Java142
set AM_HOME=/projects/IBM/itcam71/itcamdc

IF NOT EXIST "%JAVA_HOME%\bin" (
  @ECHO " The JDK cannot be found at %JAVA_HOME% "
  @ECHO "Please set JAVA_HOME in pcaddhost.bat."
  goto END
)

IF NOT EXIST "%AM_HOME%\lib\ext" (
  @ECHO " The ITCAM cannot be found at %AM_HOME% "
  @ECHO "Please set AM_HOME in pcaddhost.bat."
  goto END
)

"%JAVA_HOME%\bin\java" -classpath %AM_HOME%\lib\ext\ppe.proxy.jar com.ibm.tivoli.proxy.PoxyAddHost %1 %2

:END
