#####################################################################
# Licensed Materials - Property of IBM
#
# 5724-L62
#
# (C) Copyright IBM Corp. 2012 All Rights Reserved. 
#
# US Government Users Restricted Rights - Use, duplication or
# disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
#
#####################################################################
'''
  This module is the common place to define constants to be used by
  other modules 
'''

class constants:

    MBEAN = 1
    CONFIG = 2
    UNCONFIG = 3
    MIGRATE = 4
    RECONFIG = 5
    MSUNCONFIG = 6
    FINDSERVERS = 7
    CONFIGTEMPLATE = 8
    DELETETEMPLATE = 9
    DISCOVERTEMPLATE = 10
    SUCCESSFUL = 0
    UNSUCCESSFUL = 1
    AD71 = 1
    AD72 = 2
    ECAM = 3
    DC61 = 4
    COMMON_MBEAN_LOG_TEXT = "Mbean call failed "
    COMMON_CONFIG_LOG_TEXT = "Configuration failed "
    COMMON_UNCONFIG_LOG_TEXT = "UnConfiguration failed "
    COMMON_MIGRATE_LOG_TEXT = "Migration failed "
    COMMON_FINDSERVERS_LOG_TEXT = "Findservers failed "
    SYNC_STARTED    = "Synchronizing with node"
    SYNC_COMPLETED  = "Synchronization completed successfully"
    SUCCESSFULLY_CONFIGURED_DC_MSG = "Successfully configured data collector for server "
    SUCCESSFULLY_UNCONFIGURED_DC_MSG = "Successfully unconfigured data collector for server "
    REPEAT = "repeat"
    NOINDENT = "noindent"
    SEPARATOR_FOR_REPEAT_MESSAGE = "^"
    SERVER_OK = 1
    SERVER_NOT_OK = 0
    SERVER_OK_NOMBEAN = 2
    SERVER_OK_MBEAN = 3
    MAX_TRY = 5
    BASE_AD72VERSION = [7,2,0,0,0]
    BASE_ECAMVERSION = [7,1,1,0,0]
    BASE_AD71VERSION = [7,1,0,0,0]
    PROGRESS_DOT = "."
    PROGRESS_DOT_NL = ".\n"
    PROGRESS_WAIT_TIME = 5
    STDOUT = 1
    STDERR = 2
    LIBERTY_CELL = "liberty"
    
    
