#
# Licensed Materials - Property of IBM
#
# (C) Copyright IBM Corp. 2009  All Rights Reserved.
#
# US Government Users Restricted Rights - Use, duplication or
# disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
#
#
# * The source code for this program is not published or otherwise
# * divested of its trade secrets, irrespective of what has been
# * deposited with the US Copyright Office.
# *
# * @(#)49 1.1 itcam.dc/ppe.probe_ws/scripts/deleteItcamTemplate.py, am_ppe.probe_ws, itcam_wr_720, 201108112205 6/14/09 19:15:22
# 
#  MAINT="F197369"
#
#
#  Delete the "itcam" template from the WebSphere XD Template Set
#
#

def convertToList(inlist):
     outlist=[]
     if (len(inlist)>0 and inlist[0]=='[' and inlist[len(inlist)-1]==']'):
        inlist = inlist[1:len(inlist)-1]
        clist = inlist.split(" ")
     else:
        clist = inlist.split("\n")
     for elem in clist:
        elem=elem.rstrip();
        if (len(elem)>0):
           outlist.append(elem)
     return outlist

print "searching for templates"
templates=convertToList(AdminConfig.listTemplates("Server"))
for template in templates:
    cname = AdminConfig.showAttribute(template,"name")
    if (cname != None):
       print "found: "+cname
       if (cname.startswith("itca")):
            print "deleting template: "+template
            AdminTask.makeNonSystemTemplate("-templateName "+cname+" -serverType APPLICATION_SERVER")
            AdminTask.deleteServerTemplate(template)

print "saving workspace"
AdminConfig.save()
print "finished."
