#!/bin/sh
#
# Licensed Materials - Property of IBM
#
# (C) Copyright IBM Corp. 2005, 2009  All Rights Reserved.
#
# US Government Users Restricted Rights - Use, duplication or
# disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
#
# @(#)


JAVA_HOME=/opt/IBM/Java142
AM_HOME=/opt/IBM/itcam71/itcamdc

if [ ! -d ${JAVA_HOME}/bin ]; then
     echo " The JDK cannot be found at ${JAVA_HOME} "
     echo " Please set JAVA_HOME in pcaddhost.sh"
     exit 1
fi

if [ ! -d ${AM_HOME}/lib/ext ]; then
     echo " The ITCAM cannot be found at ${AM_HOME} "
     echo " Please set AM_HOME in pcaddhost.sh"
     exit 1
fi

${JAVA_HOME}/bin/java -classpath ${AM_HOME}/lib/ext/ppe.proxy.jar com.ibm.tivoli.proxy.PoxyAddHost $1 $2
